Subject: Re: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Michael Albinus <[email-masked]>
Date: Thu, 08 Jul 2021 08:03:40 +0200

Michael Albinus <[email-masked]> writes:

Hi Lars,

> I see no regressions. Three test cases still fail
> (file-notify-test03-events-remote, shadow-test08-shadow-todo,
> shadow-test09-shadow-copy-files), but the most important one,
> tramp-test39-lock-file, still succeeds.

I've pushed another change which let all test cases succeed, as far as I
am involved. Furthermore, I have renamed auto-save--transform-file-name
to files--transform-file-name, because it isn't restricted to auto-save files.

I don't apply make bootstrap, so I'm not plagued with the segfault
problem.

> I will check tomorrow why these test cases fail, and how to integrate
> the new lock-file-name-transforms into Tramp.

This remains open for later today, or tomorrow.

Best regards, Michael.